﻿using System;
using System.Collections.Generic;

namespace News;

/// <summary>
/// новости
/// </summary>
public partial class News
{
    public int NewsId { get; set; }

    public string NewsName { get; set; } = null!;

    public DateOnly? NewsDate { get; set; }

    public int AuthorId { get; set; }

    public int CategoryId { get; set; }

    public virtual Author Author { get; set; } = null!;

    public virtual Category Category { get; set; } = null!;

    public virtual ICollection<Comment> Comments { get; set; } = new List<Comment>();
}
