﻿using System;
using System.Collections.Generic;

namespace News;

/// <summary>
/// категории
/// </summary>
public partial class Category
{
    /// <summary>
    /// ид категории
    /// </summary>
    public int CategoryId { get; set; }

    /// <summary>
    /// наименование
    /// </summary>
    public string CategoryName { get; set; } = null!;

    public virtual ICollection<News> News { get; set; } = new List<News>();
}
